import { p as proxyCustomElement, H, h } from './p-a53686b3.js';
import { r as randomIdGenerator } from './p-ffe5c0e8.js';

const iconFolderOpenCss = ".sc-digi-icon-folder-open-h{--digi--icon--color:var(--digi--color--icon--primary);--digi--icon--width:initial;--digi--icon--height:auto;display:flex;min-height:1.4em;align-items:center}.sc-digi-icon-folder-open-h svg.sc-digi-icon-folder-open{color:var(--digi--icon--color);max-width:var(--digi--icon--width);max-height:var(--digi--icon--height);width:var(--digi--icon--width, auto);height:var(--digi--icon--height, auto)}";
const DigiIconFolderOpenStyle0 = iconFolderOpenCss;

const FolderOpen = /*@__PURE__*/ proxyCustomElement(class FolderOpen extends H {
    constructor() {
        super();
        this.__registerHost();
        this.afTitle = undefined;
        this.afDesc = undefined;
        this.afSvgAriaHidden = true;
        this.afSvgAriaLabelledby = undefined;
        this.titleId = randomIdGenerator('icontitle');
    }
    prefix(id) {
        return this.titleId + '-' + id;
    }
    get labelledBy() {
        return this.afSvgAriaLabelledby
            ? this.afSvgAriaLabelledby
            : this.afTitle
                ? this.titleId
                : undefined;
    }
    render() {
        return (h("svg", { key: '37edee7e1d1c5ade591fa7013145e950b0c4dd79', class: "digi-icon-folder-open", width: "48", height: "48", viewBox: "0 0 48 48", fill: "none", "aria-labelledby": this.labelledBy, "aria-hidden": this.afSvgAriaHidden ? 'true' : 'false', xmlns: "http://www.w3.org/2000/svg" }, this.afTitle && h("title", { key: '98534146df5cf57222b65ab930b00c10a771390e', id: this.titleId }, this.afTitle), this.afDesc && h("desc", { key: '12b016ead20a5cef04d04158477beb4a6ceb75d3' }, this.afDesc), h("g", { key: '5162764cd9a63a69f75208ad2c83901cf0fb9161', "clip-path": "url(#clip0_2337_231)" }, h("path", { key: 'bb5c2ef33c3d38b6f817b8a9701739fe93ea6d5b', d: "M10.3071 18.1239L39.8905 18.1251V17.1321C39.8905 15.5044 38.5709 14.1848 36.9432 14.1848H28.0844C26.9148 14.1848 25.8402 13.5417 25.2874 12.5112L24.282 10.6894C23.5466 9.39174 22.725 9.04578 20.1729 9.04578H5.94826C4.32039 9.04578 3.00098 10.3654 3.00098 11.9931V29.332L5.03227 22.1607C5.67332 19.897 7.99033 18.1239 10.3071 18.1239Z", fill: "currentColor" }), h("path", { key: 'e6f524872739f8c22927f3e80ad264c5e516a7a4', d: "M44.8371 21.1576C44.6719 20.939 44.3674 20.8187 43.9797 20.8187H40.824L10.3068 20.8173C9.19073 20.8173 7.93675 21.7879 7.62331 22.8946L3.21256 38.4664L3.06851 38.9748C2.95159 39.3874 2.98511 39.7444 3.16308 39.9796C3.32828 40.1981 3.63274 40.3184 4.02021 40.3184H5.91882L37.6933 40.32C38.8094 40.32 40.0634 39.3493 40.3766 38.2426L40.824 36.6636L44.9314 22.1622C45.0484 21.7496 45.0148 21.3927 44.8369 21.1574L44.8371 21.1576Z", fill: "currentColor" })), h("defs", { key: 'cb00642d3f2045c22c82ba46e3a81fdc6a746a47' }, h("clipPath", { key: '3fcc6f298197bf1c009b3a4a449ff23969d13268' }, h("rect", { key: 'cd370ed15cc1801f398ee640c8ef274c4c4d790d', width: "42", height: "31.2746", fill: "currentColor", transform: "translate(3 9.04565)" })))));
    }
    static get style() { return DigiIconFolderOpenStyle0; }
}, [2, "digi-icon-folder-open", {
        "afTitle": [1, "af-title"],
        "afDesc": [1, "af-desc"],
        "afSvgAriaHidden": [4, "af-svg-aria-hidden"],
        "afSvgAriaLabelledby": [1, "af-svg-aria-labelledby"],
        "titleId": [32]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["digi-icon-folder-open"];
    components.forEach(tagName => { switch (tagName) {
        case "digi-icon-folder-open":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, FolderOpen);
            }
            break;
    } });
}

const DigiIconFolderOpen = FolderOpen;
const defineCustomElement = defineCustomElement$1;

export { DigiIconFolderOpen, defineCustomElement };
